Bug 501854 - Review Request: lcdf-typetools - The LCDF Typetools for manipulating OpenType fonts
Review Request: lcdf-typetools - The LCDF Typetools for manipulating OpenType...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 01:00 EDT by Parag Nemade
Modified: 2009-06-18 07:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.78-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 07:51:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2009-05-21 01:00:38 EDT
Spec URL: http://paragn.fedorapeople.org/lcdf-typetools.spec
SRPM URL: http://paragn.fedorapeople.org/lcdf-typetools-2.78-1.fc11.src.rpm
Description: 
The LCDF Typetools package contains several programs for manipulating
PostScript Type 1, Type 1 multiple master, and PostScript-flavored OpenType
fonts.  LCDF Typetools includes the mmafm and mmpfb programs, which were
formerly distributed as part of a different package (mminstance)
Comment 1 Nicolas Mailhot 2009-05-23 10:17:06 EDT
Have you tried to coordinate with the people working on bug #458430 ? They seem to have done quite a lot of work already (but stalled :()
Comment 2 Orcan Ogetbil 2009-06-10 14:52:23 EDT
I'm done reviewing this. There are two minor issues to be resolved:

- rpmlint is silent

- There are certain files in the source, such as
   include/lcdf/hashmap.cc
   include/lcdf/vector.cc
   include/lcdf/clp.h
   liblcdf/string.cc
   liblcdf/error.cc
   liblcdf/vectorv.cc
   liblcdf/clp.c
   liblcdf/straccum.cc
that are under MIT license. But since during the compilation, they are linked to GPL parts of the code, and since GPL is stricter than MIT, the overall license as GPLv2+ is acceptable.

- koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1403904

* The directory
   %{_datadir}/lcdf-typetools/
is unowned! This needs attention.

* Please include the COPYING file in %doc, as required by the guidelines.


Please do these changes before you commit.

-------------------------------------------------
This package (lcdf-typetools) is APPROVED by oget
-------------------------------------------------
Comment 3 Parag Nemade 2009-06-11 00:02:52 EDT
Thanks for the review!
I will take care those issues at time of cvs import.

New Package CVS Request
=======================
Package Name: lcdf-typetools
Short Description: The LCDF Typetools for manipulating OpenType fonts
Owners: pnemade
Branches: F-10 F-11 
InitialCC:
Comment 4 Jens Petersen 2009-06-11 04:00:25 EDT
cvs done

Summary should not repeat package name -
suggest "Tools for manipulating OpenType fonts".

Also added fonts-sig to cc.
Comment 5 Fedora Update System 2009-06-15 01:53:23 EDT
lcdf-typetools-2.78-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lcdf-typetools-2.78-1.fc11
Comment 6 Fedora Update System 2009-06-15 01:54:14 EDT
lcdf-typetools-2.78-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcdf-typetools-2.78-1.fc10
Comment 7 Fedora Update System 2009-06-18 07:51:13 EDT
lcdf-typetools-2.78-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-18 07:54:05 EDT
lcdf-typetools-2.78-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.